import './anchor-links.scss';
import $ from 'jquery';
import {createElement} from "../../_global/scripts/helpers";
import IHKAnchorLinks from "./anchor-links";

export const createAnchorLinks = ({
  titles = ['Beratungsförderung zur Digitalisierung', 'Eine weitere Headline zwischendurch'],
}) => {
  const div = createElement('div', ['anchor-links']);
  const ul = createElement('ul', ['anchors'], null, div);
  createElement('li', ['anchors-title'], 'Inhalte auf dieser Seite', ul);

  titles.map((title, index) => {
    const li = createElement('li', [], null, ul);
    const a = createElement('a', [], title, li);
    a.href = '#titleInText' + index;
    a.dataset.index = index.toString();
  });

  $(document).ready(() => {
    new IHKAnchorLinks($(div));
  });

  return div;
}